package com.czsj.account.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 会员信息对象 czsj_member
 * 
 * @author czsj
 * @date 2024-12-01
 */
public class CzsjMember extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 会员ID */
    private Long uid;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 生日 */
    @Excel(name = "生日")
    private String birthday;

    /** 性别，0未知，1男，2女，3保密 */
    @Excel(name = "性别，0未知，1男，2女，3保密")
    private Integer sex;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String email;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phone;

    /** 会员卡号 */
    @Excel(name = "会员卡号")
    private Long memberId;

    /** 会员等级 */
    @Excel(name = "会员等级")
    private Long memberLevel;

    /** 城市 */
    @Excel(name = "城市")
    private String city;

    /** 地区 */
    @Excel(name = "地区")
    private String area;

    /** 渠道来源 */
    @Excel(name = "渠道来源")
    private String source;

    /** 会员状态，0注销，1正常，2冻结 */
    @Excel(name = "会员状态，0注销，1正常，2冻结")
    private Integer status;

    /** 注销时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "注销时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date logoutTime;

    /** 冻结时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "冻结时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date freezeTime;

    /** 发卡时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发卡时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date cardTime;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Long updateUserId;

    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setBirthday(String birthday) 
    {
        this.birthday = birthday;
    }

    public String getBirthday() 
    {
        return birthday;
    }
    public void setSex(Integer sex) 
    {
        this.sex = sex;
    }

    public Integer getSex() 
    {
        return sex;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setMemberId(Long memberId) 
    {
        this.memberId = memberId;
    }

    public Long getMemberId() 
    {
        return memberId;
    }
    public void setMemberLevel(Long memberLevel) 
    {
        this.memberLevel = memberLevel;
    }

    public Long getMemberLevel() 
    {
        return memberLevel;
    }
    public void setCity(String city) 
    {
        this.city = city;
    }

    public String getCity() 
    {
        return city;
    }
    public void setArea(String area) 
    {
        this.area = area;
    }

    public String getArea() 
    {
        return area;
    }
    public void setSource(String source) 
    {
        this.source = source;
    }

    public String getSource() 
    {
        return source;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setLogoutTime(Date logoutTime) 
    {
        this.logoutTime = logoutTime;
    }

    public Date getLogoutTime() 
    {
        return logoutTime;
    }
    public void setFreezeTime(Date freezeTime) 
    {
        this.freezeTime = freezeTime;
    }

    public Date getFreezeTime() 
    {
        return freezeTime;
    }
    public void setCardTime(Date cardTime) 
    {
        this.cardTime = cardTime;
    }

    public Date getCardTime() 
    {
        return cardTime;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("uid", getUid())
            .append("name", getName())
            .append("birthday", getBirthday())
            .append("sex", getSex())
            .append("email", getEmail())
            .append("address", getAddress())
            .append("phone", getPhone())
            .append("memberId", getMemberId())
            .append("memberLevel", getMemberLevel())
            .append("city", getCity())
            .append("area", getArea())
            .append("source", getSource())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("logoutTime", getLogoutTime())
            .append("freezeTime", getFreezeTime())
            .append("cardTime", getCardTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
