package com.czsj.account.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 会员轨迹信息对象 czsj_member_locus
 * 
 * @author czsj
 * @date 2024-12-01
 */
public class CzsjMemberLocus extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 会员轨迹ID */
    private Long uid;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long memberUid;

    /** 轨迹类型(1:信息动态;2:社交动态;3:活动规则;4:待办动态) */
    @Excel(name = "轨迹类型(1:信息动态;2:社交动态;3:活动规则;4:待办动态)")
    private Long trajectoryType;

    /** 文案内容 */
    @Excel(name = "文案内容")
    private String content;

    /** 处理日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "处理日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Long updateUserId;

    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }
    public void setMemberUid(Long memberUid) 
    {
        this.memberUid = memberUid;
    }

    public Long getMemberUid() 
    {
        return memberUid;
    }
    public void setTrajectoryType(Long trajectoryType) 
    {
        this.trajectoryType = trajectoryType;
    }

    public Long getTrajectoryType() 
    {
        return trajectoryType;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setCreateDate(Date createDate) 
    {
        this.createDate = createDate;
    }

    public Date getCreateDate() 
    {
        return createDate;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("uid", getUid())
            .append("memberUid", getMemberUid())
            .append("trajectoryType", getTrajectoryType())
            .append("content", getContent())
            .append("createDate", getCreateDate())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
