package com.czsj.account.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 会员关系对象 czsj_member_relation
 * 
 * @author czsj
 * @date 2024-12-01
 */
public class CzsjMemberRelation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 会员关系ID */
    private Long uid;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long memberUid;

    /** 关系 */
    @Excel(name = "关系")
    private String relation;

    /** 关系会员ID */
    @Excel(name = "关系会员ID")
    private Long memberRelationUid;

    /** 备注 */
    @Excel(name = "备注")
    private String mark;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Long updateUserId;

    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }
    public void setMemberUid(Long memberUid) 
    {
        this.memberUid = memberUid;
    }

    public Long getMemberUid() 
    {
        return memberUid;
    }
    public void setRelation(String relation) 
    {
        this.relation = relation;
    }

    public String getRelation() 
    {
        return relation;
    }
    public void setMemberRelationUid(Long memberRelationUid) 
    {
        this.memberRelationUid = memberRelationUid;
    }

    public Long getMemberRelationUid() 
    {
        return memberRelationUid;
    }
    public void setMark(String mark) 
    {
        this.mark = mark;
    }

    public String getMark() 
    {
        return mark;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("uid", getUid())
            .append("memberUid", getMemberUid())
            .append("relation", getRelation())
            .append("memberRelationUid", getMemberRelationUid())
            .append("mark", getMark())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
