package com.czsj.account.mapper;

import java.util.List;
import com.czsj.account.domain.CzsjMemberSign;

/**
 * 会员签到记录Mapper接口
 * 
 * @author czsj
 * @date 2024-12-01
 */
public interface CzsjMemberSignMapper 
{
    /**
     * 查询会员签到记录
     * 
     * @param uid 会员签到记录主键
     * @return 会员签到记录
     */
    public CzsjMemberSign selectCzsjMemberSignByUid(Long uid);

    /**
     * 查询会员签到记录列表
     * 
     * @param czsjMemberSign 会员签到记录
     * @return 会员签到记录集合
     */
    public List<CzsjMemberSign> selectCzsjMemberSignList(CzsjMemberSign czsjMemberSign);

    /**
     * 新增会员签到记录
     * 
     * @param czsjMemberSign 会员签到记录
     * @return 结果
     */
    public int insertCzsjMemberSign(CzsjMemberSign czsjMemberSign);

    /**
     * 修改会员签到记录
     * 
     * @param czsjMemberSign 会员签到记录
     * @return 结果
     */
    public int updateCzsjMemberSign(CzsjMemberSign czsjMemberSign);

    /**
     * 删除会员签到记录
     * 
     * @param uid 会员签到记录主键
     * @return 结果
     */
    public int deleteCzsjMemberSignByUid(Long uid);

    /**
     * 批量删除会员签到记录
     * 
     * @param uids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCzsjMemberSignByUids(Long[] uids);
}
