package com.czsj.account.service;

import java.util.List;
import com.czsj.account.domain.CzsjMemberSign;

/**
 * 会员签到记录Service接口
 * 
 * @author czsj
 * @date 2024-12-01
 */
public interface ICzsjMemberSignService 
{
    /**
     * 查询会员签到记录
     * 
     * @param uid 会员签到记录主键
     * @return 会员签到记录
     */
    public CzsjMemberSign selectCzsjMemberSignByUid(Long uid);

    /**
     * 查询会员签到记录列表
     * 
     * @param czsjMemberSign 会员签到记录
     * @return 会员签到记录集合
     */
    public List<CzsjMemberSign> selectCzsjMemberSignList(CzsjMemberSign czsjMemberSign);

    /**
     * 新增会员签到记录
     * 
     * @param czsjMemberSign 会员签到记录
     * @return 结果
     */
    public int insertCzsjMemberSign(CzsjMemberSign czsjMemberSign);

    /**
     * 修改会员签到记录
     * 
     * @param czsjMemberSign 会员签到记录
     * @return 结果
     */
    public int updateCzsjMemberSign(CzsjMemberSign czsjMemberSign);

    /**
     * 批量删除会员签到记录
     * 
     * @param uids 需要删除的会员签到记录主键集合
     * @return 结果
     */
    public int deleteCzsjMemberSignByUids(Long[] uids);

    /**
     * 删除会员签到记录信息
     * 
     * @param uid 会员签到记录主键
     * @return 结果
     */
    public int deleteCzsjMemberSignByUid(Long uid);
}
