package com.czsj.account.service;

import java.util.List;
import com.czsj.account.domain.CzsjMemberWxFans;
import com.czsj.wechat.entity.WxUser;

/**
 * 会员微信粉丝Service接口
 * 
 * @author czsj
 * @date 2024-12-01
 */
public interface ICzsjMemberWxFansService 
{

    /**
     * 取消关注，更新关注状态
     *
     * @param openid
     */
    void unsubscribe(String openid);
    /**
     * 根据openid更新会员微信粉丝
     *
     * @param openid
     * @return
     */
    void refreshUserInfo(String openid, String appid);

    /**
     * 查询会员微信粉丝
     * 
     * @param uid 会员微信粉丝主键
     * @return 会员微信粉丝
     */
    public CzsjMemberWxFans selectCzsjMemberWxFansByUid(Long uid);

    /**
     * 查询会员微信粉丝列表
     * 
     * @param czsjMemberWxFans 会员微信粉丝
     * @return 会员微信粉丝集合
     */
    public List<CzsjMemberWxFans> selectCzsjMemberWxFansList(CzsjMemberWxFans czsjMemberWxFans);

    /**
     * 新增会员微信粉丝
     * 
     * @param czsjMemberWxFans 会员微信粉丝
     * @return 结果
     */
    public int insertCzsjMemberWxFans(CzsjMemberWxFans czsjMemberWxFans);

    /**
     * 修改会员微信粉丝
     * 
     * @param czsjMemberWxFans 会员微信粉丝
     * @return 结果
     */
    public int updateCzsjMemberWxFans(CzsjMemberWxFans czsjMemberWxFans);

    /**
     * 批量删除会员微信粉丝
     * 
     * @param uids 需要删除的会员微信粉丝主键集合
     * @return 结果
     */
    public int deleteCzsjMemberWxFansByUids(Long[] uids);

    /**
     * 删除会员微信粉丝信息
     * 
     * @param uid 会员微信粉丝主键
     * @return 结果
     */
    public int deleteCzsjMemberWxFansByUid(Long uid);
}
