package com.czsj.wechat.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 微信公众号对象 czsj_wx_account
 * 
 * @author czsj
 * @date 2024-12-07
 */
public class CzsjWxAccount extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 微信公众号ID */
    private Long uid;

    /** 公众号appID */
    @Excel(name = "公众号appID")
    private String appId;

    /** 公众号名称 */
    @Excel(name = "公众号名称")
    private String name;

    /** 认证状态 */
    @Excel(name = "认证状态")
    private Integer verified;

    /** 公众号secret */
    @Excel(name = "公众号secret")
    private String secret;

    /** 公众号aesKey */
    @Excel(name = "公众号aesKey")
    private String aesKey;

    /** 公众号token */
    @Excel(name = "公众号token")
    private String token;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Long updateUserId;

    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }
    public void setAppId(String appId) 
    {
        this.appId = appId;
    }

    public String getAppId() 
    {
        return appId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setVerified(Integer verified) 
    {
        this.verified = verified;
    }

    public Integer getVerified() 
    {
        return verified;
    }
    public void setSecret(String secret) 
    {
        this.secret = secret;
    }

    public String getSecret() 
    {
        return secret;
    }
    public void setAesKey(String aesKey) 
    {
        this.aesKey = aesKey;
    }

    public String getAesKey() 
    {
        return aesKey;
    }
    public void setToken(String token) 
    {
        this.token = token;
    }

    public String getToken() 
    {
        return token;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("uid", getUid())
            .append("appId", getAppId())
            .append("name", getName())
            .append("verified", getVerified())
            .append("secret", getSecret())
            .append("aesKey", getAesKey())
            .append("token", getToken())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
