package com.czsj.wechat.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 微信消息对象 czsj_wx_message
 * 
 * @author czsj
 * @date 2024-12-07
 */
public class CzsjWxMessage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 微信消息ID */
    private Long uid;

    /** 公众号appID */
    @Excel(name = "公众号appID")
    private String appId;

    /** 微信openID */
    @Excel(name = "微信openID")
    private String openId;

    /** 消息方向 */
    @Excel(name = "消息方向")
    private Long inOut;

    /** 消息类型 */
    @Excel(name = "消息类型")
    private String msgType;

    /** 消息详情 */
    @Excel(name = "消息详情")
    private String detail;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Long updateUserId;

    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }
    public void setAppId(String appId) 
    {
        this.appId = appId;
    }

    public String getAppId() 
    {
        return appId;
    }
    public void setOpenId(String openId) 
    {
        this.openId = openId;
    }

    public String getOpenId() 
    {
        return openId;
    }
    public void setInOut(Long inOut) 
    {
        this.inOut = inOut;
    }

    public Long getInOut() 
    {
        return inOut;
    }
    public void setMsgType(String msgType) 
    {
        this.msgType = msgType;
    }

    public String getMsgType() 
    {
        return msgType;
    }
    public void setDetail(String detail) 
    {
        this.detail = detail;
    }

    public String getDetail() 
    {
        return detail;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("uid", getUid())
            .append("appId", getAppId())
            .append("openId", getOpenId())
            .append("inOut", getInOut())
            .append("msgType", getMsgType())
            .append("detail", getDetail())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
