package com.czsj.wechat.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 公众号二维码对象 czsj_wx_qr_code
 * 
 * @author czsj
 * @date 2024-12-07
 */
public class CzsjWxQrCode extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 公众号二维码ID */
    private Long uid;

    /** 公众号appID */
    @Excel(name = "公众号appID")
    private String appId;

    /** 二维码类型 */
    @Excel(name = "二维码类型")
    private Integer isTemp;

    /** 场景值ID */
    @Excel(name = "场景值ID")
    private String sceneStr;

    /** 二维码ticket */
    @Excel(name = "二维码ticket")
    private String ticket;

    /** 二维码图片解析地址 */
    @Excel(name = "二维码图片解析地址")
    private String imageUrl;

    /** 该二维码失效时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "该二维码失效时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expireTime;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Long updateUserId;

    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }
    public void setAppId(String appId) 
    {
        this.appId = appId;
    }

    public String getAppId() 
    {
        return appId;
    }
    public void setIsTemp(Integer isTemp) 
    {
        this.isTemp = isTemp;
    }

    public Integer getIsTemp() 
    {
        return isTemp;
    }
    public void setSceneStr(String sceneStr) 
    {
        this.sceneStr = sceneStr;
    }

    public String getSceneStr() 
    {
        return sceneStr;
    }
    public void setTicket(String ticket) 
    {
        this.ticket = ticket;
    }

    public String getTicket() 
    {
        return ticket;
    }
    public void setImageUrl(String imageUrl) 
    {
        this.imageUrl = imageUrl;
    }

    public String getImageUrl() 
    {
        return imageUrl;
    }
    public void setExpireTime(Date expireTime) 
    {
        this.expireTime = expireTime;
    }

    public Date getExpireTime() 
    {
        return expireTime;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("uid", getUid())
            .append("appId", getAppId())
            .append("isTemp", getIsTemp())
            .append("sceneStr", getSceneStr())
            .append("ticket", getTicket())
            .append("imageUrl", getImageUrl())
            .append("expireTime", getExpireTime())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
