package com.czsj.wechat.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 微信消息回复规则对象 czsj_wx_reply_rule
 * 
 * @author czsj
 * @date 2024-12-07
 */
public class CzsjWxReplyRule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 回复规则ID */
    private Long uid;

    /** 公众号appID */
    @Excel(name = "公众号appID")
    private String appId;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String ruleName;

    /** 匹配关键词 */
    @Excel(name = "匹配关键词")
    private String matchValue;

    /** 是否精确匹配 */
    @Excel(name = "是否精确匹配")
    private Integer exactMatch;

    /** 回复类型 */
    @Excel(name = "回复类型")
    private String replyType;

    /** 回复内容 */
    @Excel(name = "回复内容")
    private String replyContent;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Long updateUserId;

    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }
    public void setAppId(String appId) 
    {
        this.appId = appId;
    }

    public String getAppId() 
    {
        return appId;
    }
    public void setRuleName(String ruleName) 
    {
        this.ruleName = ruleName;
    }

    public String getRuleName() 
    {
        return ruleName;
    }
    public void setMatchValue(String matchValue) 
    {
        this.matchValue = matchValue;
    }

    public String getMatchValue() 
    {
        return matchValue;
    }
    public void setExactMatch(Integer exactMatch) 
    {
        this.exactMatch = exactMatch;
    }

    public Integer getExactMatch() 
    {
        return exactMatch;
    }
    public void setReplyType(String replyType) 
    {
        this.replyType = replyType;
    }

    public String getReplyType() 
    {
        return replyType;
    }
    public void setReplyContent(String replyContent) 
    {
        this.replyContent = replyContent;
    }

    public String getReplyContent() 
    {
        return replyContent;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("uid", getUid())
            .append("appId", getAppId())
            .append("ruleName", getRuleName())
            .append("matchValue", getMatchValue())
            .append("exactMatch", getExactMatch())
            .append("replyType", getReplyType())
            .append("replyContent", getReplyContent())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
