package com.czsj.wechat.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 微信消息模板对象 czsj_wx_template
 * 
 * @author czsj
 * @date 2024-12-07
 */
public class CzsjWxTemplate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 消息模板ID */
    private Long uid;

    /** 公众号ID */
    @Excel(name = "公众号ID")
    private String appId;

    /** 模板ID */
    @Excel(name = "模板ID")
    private String templateId;

    /** 模板标题 */
    @Excel(name = "模板标题")
    private String title;

    /** 主行业分类 */
    @Excel(name = "主行业分类")
    private String primaryIndustry;

    /** 副行业分类 */
    @Excel(name = "副行业分类")
    private String deputyIndustry;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 示例 */
    @Excel(name = "示例")
    private String example;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Long updateUserId;

    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }
    public void setAppId(String appId) 
    {
        this.appId = appId;
    }

    public String getAppId() 
    {
        return appId;
    }
    public void setTemplateId(String templateId) 
    {
        this.templateId = templateId;
    }

    public String getTemplateId() 
    {
        return templateId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setPrimaryIndustry(String primaryIndustry) 
    {
        this.primaryIndustry = primaryIndustry;
    }

    public String getPrimaryIndustry() 
    {
        return primaryIndustry;
    }
    public void setDeputyIndustry(String deputyIndustry) 
    {
        this.deputyIndustry = deputyIndustry;
    }

    public String getDeputyIndustry() 
    {
        return deputyIndustry;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setExample(String example) 
    {
        this.example = example;
    }

    public String getExample() 
    {
        return example;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("uid", getUid())
            .append("appId", getAppId())
            .append("templateId", getTemplateId())
            .append("title", getTitle())
            .append("primaryIndustry", getPrimaryIndustry())
            .append("deputyIndustry", getDeputyIndustry())
            .append("content", getContent())
            .append("example", getExample())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
