package com.czsj.wechat.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 微信消息模板日志对象 czsj_wx_template_log
 * 
 * @author czsj
 * @date 2024-12-07
 */
public class CzsjWxTemplateLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 消息模板日志ID */
    private Long uid;

    /** 公众号ID */
    @Excel(name = "公众号ID")
    private String appId;

    /** 接收者OpenID */
    @Excel(name = "接收者OpenID")
    private String toUser;

    /** 模板ID */
    @Excel(name = "模板ID")
    private Long templateUid;

    /** 消息体 */
    @Excel(name = "消息体")
    private String data;

    /** URL链接 */
    @Excel(name = "URL链接")
    private String url;

    /** 跳转的小程序 */
    @Excel(name = "跳转的小程序")
    private String miniProgram;

    /** 发送结果 */
    @Excel(name = "发送结果")
    private String sendResult;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Long updateUserId;

    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }
    public void setAppId(String appId) 
    {
        this.appId = appId;
    }

    public String getAppId() 
    {
        return appId;
    }
    public void setToUser(String toUser) 
    {
        this.toUser = toUser;
    }

    public String getToUser() 
    {
        return toUser;
    }
    public void setTemplateUid(Long templateUid) 
    {
        this.templateUid = templateUid;
    }

    public Long getTemplateUid() 
    {
        return templateUid;
    }
    public void setData(String data) 
    {
        this.data = data;
    }

    public String getData() 
    {
        return data;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setMiniProgram(String miniProgram) 
    {
        this.miniProgram = miniProgram;
    }

    public String getMiniProgram() 
    {
        return miniProgram;
    }
    public void setSendResult(String sendResult) 
    {
        this.sendResult = sendResult;
    }

    public String getSendResult() 
    {
        return sendResult;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("uid", getUid())
            .append("appId", getAppId())
            .append("toUser", getToUser())
            .append("templateUid", getTemplateUid())
            .append("data", getData())
            .append("url", getUrl())
            .append("miniProgram", getMiniProgram())
            .append("sendResult", getSendResult())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
