package com.czsj.wechat.mapper;

import java.util.List;
import com.czsj.wechat.domain.CzsjWxAccount;

/**
 * 微信公众号Mapper接口
 * 
 * @author czsj
 * @date 2024-12-07
 */
public interface CzsjWxAccountMapper 
{
    /**
     * 查询微信公众号
     * 
     * @param uid 微信公众号主键
     * @return 微信公众号
     */
    public CzsjWxAccount selectCzsjWxAccountByUid(Long uid);

    /**
     * 查询微信公众号列表
     * 
     * @param czsjWxAccount 微信公众号
     * @return 微信公众号集合
     */
    public List<CzsjWxAccount> selectCzsjWxAccountList(CzsjWxAccount czsjWxAccount);

    /**
     * 新增微信公众号
     * 
     * @param czsjWxAccount 微信公众号
     * @return 结果
     */
    public int insertCzsjWxAccount(CzsjWxAccount czsjWxAccount);

    /**
     * 修改微信公众号
     * 
     * @param czsjWxAccount 微信公众号
     * @return 结果
     */
    public int updateCzsjWxAccount(CzsjWxAccount czsjWxAccount);

    /**
     * 删除微信公众号
     * 
     * @param uid 微信公众号主键
     * @return 结果
     */
    public int deleteCzsjWxAccountByUid(Long uid);

    /**
     * 批量删除微信公众号
     * 
     * @param uids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCzsjWxAccountByUids(Long[] uids);
}
