package com.czsj.wechat.mapper;

import java.util.List;
import com.czsj.wechat.domain.CzsjWxReplyRule;

/**
 * 微信消息回复规则Mapper接口
 * 
 * @author czsj
 * @date 2024-12-07
 */
public interface CzsjWxReplyRuleMapper 
{
    /**
     * 查询微信消息回复规则
     * 
     * @param uid 微信消息回复规则主键
     * @return 微信消息回复规则
     */
    public CzsjWxReplyRule selectCzsjWxReplyRuleByUid(Long uid);

    /**
     * 查询微信消息回复规则列表
     * 
     * @param czsjWxReplyRule 微信消息回复规则
     * @return 微信消息回复规则集合
     */
    public List<CzsjWxReplyRule> selectCzsjWxReplyRuleList(CzsjWxReplyRule czsjWxReplyRule);

    /**
     * 新增微信消息回复规则
     * 
     * @param czsjWxReplyRule 微信消息回复规则
     * @return 结果
     */
    public int insertCzsjWxReplyRule(CzsjWxReplyRule czsjWxReplyRule);

    /**
     * 修改微信消息回复规则
     * 
     * @param czsjWxReplyRule 微信消息回复规则
     * @return 结果
     */
    public int updateCzsjWxReplyRule(CzsjWxReplyRule czsjWxReplyRule);

    /**
     * 删除微信消息回复规则
     * 
     * @param uid 微信消息回复规则主键
     * @return 结果
     */
    public int deleteCzsjWxReplyRuleByUid(Long uid);

    /**
     * 批量删除微信消息回复规则
     * 
     * @param uids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCzsjWxReplyRuleByUids(Long[] uids);
}
