package com.czsj.wechat.mapper;

import java.util.List;
import com.czsj.wechat.domain.CzsjWxTemplateLog;

/**
 * 微信消息模板日志Mapper接口
 * 
 * @author czsj
 * @date 2024-12-07
 */
public interface CzsjWxTemplateLogMapper 
{
    /**
     * 查询微信消息模板日志
     * 
     * @param uid 微信消息模板日志主键
     * @return 微信消息模板日志
     */
    public CzsjWxTemplateLog selectCzsjWxTemplateLogByUid(Long uid);

    /**
     * 查询微信消息模板日志列表
     * 
     * @param czsjWxTemplateLog 微信消息模板日志
     * @return 微信消息模板日志集合
     */
    public List<CzsjWxTemplateLog> selectCzsjWxTemplateLogList(CzsjWxTemplateLog czsjWxTemplateLog);

    /**
     * 新增微信消息模板日志
     * 
     * @param czsjWxTemplateLog 微信消息模板日志
     * @return 结果
     */
    public int insertCzsjWxTemplateLog(CzsjWxTemplateLog czsjWxTemplateLog);

    /**
     * 修改微信消息模板日志
     * 
     * @param czsjWxTemplateLog 微信消息模板日志
     * @return 结果
     */
    public int updateCzsjWxTemplateLog(CzsjWxTemplateLog czsjWxTemplateLog);

    /**
     * 删除微信消息模板日志
     * 
     * @param uid 微信消息模板日志主键
     * @return 结果
     */
    public int deleteCzsjWxTemplateLogByUid(Long uid);

    /**
     * 批量删除微信消息模板日志
     * 
     * @param uids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCzsjWxTemplateLogByUids(Long[] uids);
}
