package com.czsj.wechat.service;

import java.util.List;
import com.czsj.wechat.domain.CzsjWxMessage;

/**
 * 微信消息Service接口
 * 
 * @author czsj
 * @date 2024-12-07
 */
public interface ICzsjWxMessageService 
{
    /**
     * 查询微信消息
     * 
     * @param uid 微信消息主键
     * @return 微信消息
     */
    public CzsjWxMessage selectCzsjWxMessageByUid(Long uid);

    /**
     * 查询微信消息列表
     * 
     * @param czsjWxMessage 微信消息
     * @return 微信消息集合
     */
    public List<CzsjWxMessage> selectCzsjWxMessageList(CzsjWxMessage czsjWxMessage);

    /**
     * 新增微信消息
     * 
     * @param czsjWxMessage 微信消息
     * @return 结果
     */
    public int insertCzsjWxMessage(CzsjWxMessage czsjWxMessage);

    /**
     * 修改微信消息
     * 
     * @param czsjWxMessage 微信消息
     * @return 结果
     */
    public int updateCzsjWxMessage(CzsjWxMessage czsjWxMessage);

    /**
     * 批量删除微信消息
     * 
     * @param uids 需要删除的微信消息主键集合
     * @return 结果
     */
    public int deleteCzsjWxMessageByUids(Long[] uids);

    /**
     * 删除微信消息信息
     * 
     * @param uid 微信消息主键
     * @return 结果
     */
    public int deleteCzsjWxMessageByUid(Long uid);
}
