package com.czsj.wechat.service;

import java.util.List;
import com.czsj.wechat.domain.CzsjWxQrCode;

/**
 * 公众号二维码Service接口
 * 
 * @author czsj
 * @date 2024-12-07
 */
public interface ICzsjWxQrCodeService 
{
    /**
     * 查询公众号二维码
     * 
     * @param uid 公众号二维码主键
     * @return 公众号二维码
     */
    public CzsjWxQrCode selectCzsjWxQrCodeByUid(Long uid);

    /**
     * 查询公众号二维码列表
     * 
     * @param czsjWxQrCode 公众号二维码
     * @return 公众号二维码集合
     */
    public List<CzsjWxQrCode> selectCzsjWxQrCodeList(CzsjWxQrCode czsjWxQrCode);

    /**
     * 新增公众号二维码
     * 
     * @param czsjWxQrCode 公众号二维码
     * @return 结果
     */
    public int insertCzsjWxQrCode(CzsjWxQrCode czsjWxQrCode);

    /**
     * 修改公众号二维码
     * 
     * @param czsjWxQrCode 公众号二维码
     * @return 结果
     */
    public int updateCzsjWxQrCode(CzsjWxQrCode czsjWxQrCode);

    /**
     * 批量删除公众号二维码
     * 
     * @param uids 需要删除的公众号二维码主键集合
     * @return 结果
     */
    public int deleteCzsjWxQrCodeByUids(Long[] uids);

    /**
     * 删除公众号二维码信息
     * 
     * @param uid 公众号二维码主键
     * @return 结果
     */
    public int deleteCzsjWxQrCodeByUid(Long uid);
}
