package com.czsj.wechat.service;

import java.util.List;
import com.czsj.wechat.domain.CzsjWxTemplate;

/**
 * 微信消息模板Service接口
 * 
 * @author czsj
 * @date 2024-12-07
 */
public interface ICzsjWxTemplateService 
{
    /**
     * 查询微信消息模板
     * 
     * @param uid 微信消息模板主键
     * @return 微信消息模板
     */
    public CzsjWxTemplate selectCzsjWxTemplateByUid(Long uid);

    /**
     * 查询微信消息模板列表
     * 
     * @param czsjWxTemplate 微信消息模板
     * @return 微信消息模板集合
     */
    public List<CzsjWxTemplate> selectCzsjWxTemplateList(CzsjWxTemplate czsjWxTemplate);

    /**
     * 新增微信消息模板
     * 
     * @param czsjWxTemplate 微信消息模板
     * @return 结果
     */
    public int insertCzsjWxTemplate(CzsjWxTemplate czsjWxTemplate);

    /**
     * 修改微信消息模板
     * 
     * @param czsjWxTemplate 微信消息模板
     * @return 结果
     */
    public int updateCzsjWxTemplate(CzsjWxTemplate czsjWxTemplate);

    /**
     * 批量删除微信消息模板
     * 
     * @param uids 需要删除的微信消息模板主键集合
     * @return 结果
     */
    public int deleteCzsjWxTemplateByUids(Long[] uids);

    /**
     * 删除微信消息模板信息
     * 
     * @param uid 微信消息模板主键
     * @return 结果
     */
    public int deleteCzsjWxTemplateByUid(Long uid);
}
